package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;


public class SimInfoDto {

    @Data
    @Accessors(chain = true)
    public static class InfoDto {
        @NotNull(message = "iccid 不能为空")
        @ApiModelProperty(value = "iccid", required = true)
        private String iccid;
    }

    @Data
    @Accessors(chain = true)
    public static class InfoVo {
        private String iccid;
        private String imsi;
        private String accessNumber;
        private LocalDateTime activeDate;
        private LocalDateTime createDate;
    }
}
